##Even Fibonacci numbers

#Each new term in the Fibonacci sequence is generated by adding the previous two terms. 
#By starting with 1 and 2, the first 10 terms will be:

#1, 2, 3, 5, 8, 13, 21, 34, 55, 89, ...

#By considering the terms in the Fibonacci sequence whose values do not exceed four million, 
#find the sum of the even-valued terms.


numA, numB = 1, 1
sum = 0
while numB <= 4000000:
  if(numB % 2 == 0):
    sum += numB
  numA, numB = numB, numB + numA
print(sum)